%global momorel 7

Name:           perl-Authen-Htpasswd
Version:        0.161
Release: %{momorel}m%{?dist}
Summary:        Interface to read and modify Apache .htpasswd files
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Authen-Htpasswd/
Source0: http://www.cpan.org/modules/by-module/Authen/Authen-Htpasswd-%{version}.tar.gz 
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-Crypt-PasswdMD5
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl-IO-LockedFile
BuildRequires:  perl-Module-Build
Requires:       perl-Class-Accessor
Requires:       perl-Crypt-PasswdMD5
Requires:       perl-Digest-SHA1
Requires:       perl-IO-LockedFile
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a convenient, object-oriented interface to Apache-
style .htpasswd files. It supports passwords encrypted via MD5, SHA1, and
crypt, as well as plain (cleartext) passwords. It requires Crypt::PasswdMD5
for MD5 and Digest::SHA1 for SHA1. Additional fields after username and
password, if present, are accessible via the extra_info array.

%prep
%setup -q -n Authen-Htpasswd-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.161-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.161-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.161-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.161-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.161-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.161-2m)
- rebuild against rpm-4.6

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.161-1m)
- update to 0.161

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16-2m)
- %%NoSource -> NoSource

* Tue Jul 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16
- use Makefile.PL

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.15-2m)
- use vendor

* Mon Jan  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.15-1m)
- update to 0.15

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
